.onscreen-keypad .row {
  width: 980px;
  margin: 0 auto;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.onscreen-keypad .column .row,
.onscreen-keypad .columns .row {
  width: auto;
  max-width: none;
  min-width: 0;
}
.onscreen-keypad .column > .row {
  margin: 0;
}
.onscreen-keypad .column,
.onscreen-keypad .columns {
  float: left;
  height: inherit;
  padding: 10px 0 10px 15px;
  position: relative;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
[class*="column"] + [class*="column"]:last-child {
  float: right;
}
[class*="column"] + [class*="column"].end {
  float: left;
}
.onscreen-keypad .row > .one {
  width: 8.33%;
}
.onscreen-keypad .row > .two {
  width: 16.66%;
}
.onscreen-keypad .row > .three {
  width: 25%;
}
.onscreen-keypad .row > .four {
  width: 33.33%;
}
.onscreen-keypad .row > .five {
  width: 41.66%;
}
.onscreen-keypad .row > .six {
  width: 50%;
}
.onscreen-keypad .row > .seven {
  width: 58.33%;
}
.onscreen-keypad .row > .eight {
  width: 66.66%;
}
.onscreen-keypad .row > .nine {
  width: 75%;
}
.onscreen-keypad .row > .ten {
  width: 83.33%;
}
.onscreen-keypad .row > .eleven {
  width: 91.66%;
}
.onscreen-keypad .row > .twelve {
  width: 100% ;
  padding-left: 0;
  padding-right: 0;
}
.onscreen-keypad .row > .fivecolumns {
  width: 20%;
}
.onscreen-keypad .row:before,
.onscreen-keypad .row:after,
.onscreen-keypad .group:before,
.onscreen-keypad .group:after {
  content: "";
  display: table;
}
.onscreen-keypad .row:after,
.group:after {
  clear: both;
}
.onscreen-keypad .row,
.group {
  zoom: 1;
}
.onscreen-keypad div.row .column:first-child {
  padding: 10px 5px 10px 0;
}
.onscreen-keypad .column > .onscreen-keypad .row:first-child {
  margin: -10px 0px 10px 0px;
}
.onscreen-keypad .row .full {
  width: 100%;
}
.onscreen-keypad {
  position: absolute;
  -webkit-user-select: none;
  /* Chrome all / Safari all */

  -moz-user-select: none;
  /* Firefox all */

  -ms-user-select: none;
  display: none;
  z-index: 1;
  left: 430px!important;
  top: 161px;
  padding: 10px 10px 10px 13px;
  user-select: none;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  border: 1px solid #ccc;
  background-color: rgba(241, 241, 241, 0.9);
}
.onscreen-keypad .keypwd {
  width: 435px;
  background-color: #fff;
  padding: 8px 5px 10px 17px;
}
.onscreen-keypad div.keypad-hdr div {
  float: left;
}
.onscreen-keypad .keys-row1 {
  margin-bottom: 4px;
}
.onscreen-keypad div.hdr-txt {
  margin-left: 145px;
  font-size: 12px;
  font-weight: bold;
  padding-top: 10px;
}
.onscreen-keypad div.drag {
  border: 1px solid #ccc;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  padding: 5px;
  cursor: move;
}
.onscreen-keypad div.drag span {
  display: block;
  font-size: 11px;
  float: left;
}
.onscreen-keypad div.keypad-inp-wrpr {
  margin: 14px 0 10px 0;display: flex;
}
.onscreen-keypad div.keypad-inp-wrpr div {
  float: left;
  margin-right: 5px;
}
.onscreen-keypad div.close {
  background: url(../images/close.png);
  width: 18px;
  height: 18px;
  cursor: pointer;
  opacity: 0.8;
}
.onscreen-keypad div.close:hover {
  background: url(../images/close_hover.png);
}
.onscreen-keypad span.drag-txt {
  padding: 3px 0 0 3px;
}
.onscreen-keypad span.drag-icon {
  background: url(../images/drag.png);
  width: 16px;
  height: 16px;
}
.onscreen-keypad div.close {
  float: right !important;
}
.onscreen-keypad div.clear,
.onscreen-keypad div.back,
.onscreen-keypad div.done {
  
border-bottom: 3px solid #314284;
  
-webkit-border-radius: 3px 3px 3px 3px;
  
-moz-border-radius: 3px 3px 3px 3px;
  
border-radius: 3px 3px 3px 3px;
  
width: 60px;
  
background-color: #314284;
  
cursor: pointer;
}
.onscreen-keypad div.done {
  border-bottom: 1px solid #ccc;
  height: 29px !important;
}
.onscreen-keypad div.back span {
  /*background: url(../images/back.png);*/
  background-repeat: no-repeat;
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 7px !important;
  color: #fff;
  font-weight: bold;
}
.onscreen-keypad div.clear span {
  /*background: url(../images/clear.png);*/
  background-repeat: no-repeat;
  background-position: 0 2px;/*Changed by moonraft*/
  padding-left: 4px !important;
  color: #fff;
  font-weight: bold;
}
.onscreen-keypad div.done span {
  /*background: url(../images/done.png);*/
  background-repeat: no-repeat;
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 6px !important;
  color: #fff;
  font-weight: bold;
}
.onscreen-keypad div.clear:hover,
.onscreen-keypad div.back:hover {
  background: #314284;
  background-image: linear-gradient(top, #f42c78, #b20748);
  background-image: -o-linear-gradient(top, #f42c78, #b20748);
  background-image: -moz-linear-gradient(top, #f42c78, #b20748);
  background-image: -webkit-linear-gradient(top, #f42c78, #b20748);
  background-image: -ms-linear-gradient(top, #f42c78, #b20748);
  background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#f42c78), to(#b20748));
  background-image: none;
}
.onscreen-keypad input.pwd-txtbox {
  width: 239px;
  font-size: 16px;/*Changed by Moonraft*/
  line-height:28px;/*Added by Moonraft*/
}
.onscreen-keypad ul.keypad li {
  float: left;
  font-size: 12px;
  margin: 3px 2px 3px 1px;
  width: 24px;
  height: 21px;
  cursor: default;
  text-align: center;
  line-height: 21px;
  border: 1px solid #d8d8d8;
  border-bottom: 3px solid #d8d8d8;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  background-color: #f5f5f5;
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
  background-repeat: repeat-x;
}
.onscreen-keypad ul.keypad li:hover {
  background-color: #fafafa !important;
  background-image: none;
}
.onscreen-keypad ul.keypad li.empty {
  background-color: #fff !important;
  background-image: none;
  border: none;
  border-radius: 0;
  height: 29px;
  width: 26px;
}
.onscreen-keypad ul.keypad li.caps {
  width: 70px;
}
.onscreen-keypad ul.keypad span.caps-active {
  background: url(../images/caps.png);
  background-repeat: no-repeat;
}
.onscreen-keypad ul.keypad span.caps-inactive {
  background: url(../images/caps_gray.png);
  background-repeat: no-repeat;
}
.onscreen-keypad ul.keypad span.caps-active,
.onscreen-keypad ul.keypad span.caps-inactive {
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 13px;
  margin-left: -7px;
}
.onscreen-keypad .gray-btn {
  height: 27px;
  line-height: 27px;
  color: #ffffff;
  padding: 0 10px;
  font-size: 11px;
  border: 0;
  cursor: pointer;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  /* font-family: arial, sans-serif; */
  -webkit-box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  -moz-box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  /*background-color: #f5f5f5 !important;
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);*/
  background-repeat: repeat-x;
}
.onscreen-keypad .gray-btn:active {
  -webkit-box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  -moz-box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
}
 .onscreen-keypad_dpin {
    position: absolute;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    display: none;
    z-index: 1;
    /* Modified by Rahul L
	left: 320px;
    top: 148px; */

    left: 396px;
    top: 100px;

    padding: 10px 10px 10px 13px;
    user-select: none;
    -webkit-border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    border-radius: 3px 3px 3px 3px;
    border: 1px solid #ccc;
    background-color: rgba(241, 241, 241, 0.9);
}
.onscreen-keypad_dpin .key {
  width: 435px;
  background-color: #fff;
  padding: 8px 5px 10px 17px;
}
.onscreen-keypad_dpin div.keypad-hdr div {
  float: left;
}
.onscreen-keypad_dpin .keys-row1 {
  margin-bottom: 4px;
}
.onscreen-keypad_dpin div.hdr-txt {
  margin-left: 92px;
  font-size: 12px;
  font-weight: bold;
  padding-top: 10px;
}
.onscreen-keypad_dpin div.drag {
  border: 1px solid #ccc;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  padding: 5px;
  cursor: move;
}
.onscreen-keypad_dpin div.drag span {
  display: block;
  font-size: 11px;
  float: left;
}
.onscreen-keypad_dpin div.keypad-inp-wrpr {
  margin: 14px 0 10px 0;
}
.onscreen-keypad_dpin div.keypad-inp-wrpr div {
  float: left;
  margin-right: 5px;
}
.onscreen-keypad_dpin div.close {
  background: url(../images/close.png);
  width: 18px;
  height: 18px;
  cursor: pointer;
  opacity: 0.8;
}
.onscreen-keypad_dpin div.close:hover {
  background: url(../images/close_hover.png);
}
.onscreen-keypad_dpin span.drag-txt {
  padding: 3px 0 0 3px;
}
.onscreen-keypad_dpin span.drag-icon {
  background: url(../images/drag.png);
  width: 16px;
  height: 16px;
}
.onscreen-keypad_dpin div.close {
  float: right !important;
}
.onscreen-keypad_dpin div.clear,
.onscreen-keypad_dpin div.back,
.onscreen-keypad_dpin div.done {
  
  border-bottom: 3px solid #97144d;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  width: 60px;
  background-color: #97144d;
  cursor: pointer;
}
.onscreen-keypad_dpin div.done {
  border-bottom: 1px solid #ccc;
  height: 29px !important;
}
.onscreen-keypad_dpin div.back span {
  background: url(../images/back.png);
  background-repeat: no-repeat;
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 13px !important;
  color: #fff;
}
.onscreen-keypad_dpin div.clear span {
  background: url(../images/clear.png);
  background-repeat: no-repeat;
  background-position: 0 2px;/*Changed by moonraft*/
  padding-left: 13px !important;
  color: #fff;
}
.onscreen-keypad_dpin div.done span {
  background: url(../images/done.png);
  background-repeat: no-repeat;
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 13px !important;
  font-weight: bold;
}
.onscreen-keypad_dpin div.clear:hover,
.onscreen-keypad_dpin div.back:hover {
  background-color: #97144d !important;
  background-image: none;
}
.onscreen-keypad_dpin input.pwd-txtbox {
  width: 239px;
  font-size: 16px;/*Changed by Moonraft*/
  line-height:28px;/*Added by Moonraft*/
}
.onscreen-keypad_dpin ul.keypad li {
  float: left;
  font-size: 12px;
  margin: 3px 2px 3px 1px;
  width: 24px;
  height: 21px;
  cursor: default;
  text-align: center;
  line-height: 21px;
  border: 1px solid #d8d8d8;
  border-bottom: 3px solid #d8d8d8;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  background-color: #f5f5f5;
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
  background-repeat: repeat-x;
}
.onscreen-keypad_dpin ul.keypad li:hover {
  background-color: #fafafa !important;
  background-image: none;
}
.onscreen-keypad_dpin ul.keypad li.empty {
  background-color: #fff !important;
  background-image: none;
  border: none;
  border-radius: 0;
  height: 29px;
  width: 26px;
}
.onscreen-keypad_dpin ul.keypad li.caps {
  width: 70px;
}
.onscreen-keypad_dpin ul.keypad span.caps-active {
  background: url(../images/caps.png);
  background-repeat: no-repeat;
}
.onscreen-keypad_dpin ul.keypad span.caps-inactive {
  background: url(../images/caps_gray.png);
  background-repeat: no-repeat;
}
.onscreen-keypad_dpin ul.keypad span.caps-active,
.onscreen-keypad_dpin ul.keypad span.caps-inactive {
  background-position: 0 4px;/*Changed by moonraft*/
  padding-left: 13px;
  margin-left: -7px;
}
.onscreen-keypad_dpin .gray-btn {
  height: 27px;
  line-height: 27px;
  color: #ffffff;
  padding: 0 10px;
  font-size: 11px;
  border: 0;
  cursor: pointer;
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  /* font-family: arial, sans-serif; */
  -webkit-box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  -moz-box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  box-shadow: inset 0 13px 0 0 rgba(255, 255, 255, 0.2);
  background-color: #f5f5f5 !important;
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
  background-repeat: repeat-x;
}
.onscreen-keypad_dpin .gray-btn:active {
  -webkit-box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  -moz-box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.2);
}
input.cm-input-box {
  width: 134px;
  padding: 0 8px;
  background-color: white;
  height: 28px;
  border: 1px solid rgba(0, 0, 0, 0.24);
  -webkit-box-shadow: inset 1px 1px 1px 0px rgba(0, 0, 0, 0.26), 1px 1px 1px 0px rgba(255, 255, 255, 0.75);
  -moz-box-shadow: inset 1px 1px 1px 0px rgba(0, 0, 0, 0.26), 1px 1px 1px 0px rgba(255, 255, 255, 0.75);
  box-shadow: inset 1px 1px 1px 0px rgba(0, 0, 0, 0.26), 1px 1px 1px 0px rgba(255, 255, 255, 0.75);
  -webkit-border-radius: 3px 3px 3px 3px;
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
}
input.cm-input-box:focus {
  -webkit-box-shadow: 0px 0px 7px 0px rgba(0, 204, 255, 0.4);
  -moz-box-shadow: 0px 0px 7px 0px rgba(0, 204, 255, 0.4);
  box-shadow: 0px 0px 7px 0px rgba(0, 204, 255, 0.4);
  border: 1px solid #00ccff;
  -webkit-appearance: none;
}
.login-img-wrpr #chk-kepad {
  margin: 0;
  width: auto;
}
span.lock {
  background: url("../images/lock.png") repeat scroll 0 0 transparent;
  width: 12px;
  height: 16px;
  display: block;
  float: left;
  margin: 6px 9px 0 20px;
}
span.sec-text {
  display: block;
  float: left;
  margin-top: 1px;
  letter-spacing: 1px;
}